version: '3.2'

services:
  sprattle:
    build: 
      context: .
      dockerfile: ./Dockerfile
    environment:
      - REMOTE_HOST=$REMOTE_HOST
      - REMOTE_USER=$REMOTE_USER
      - SSH_KEY_FILE_NAME=$SSH_KEY_FILE_NAME
      - SSH_PRIVATE_KEY=${SSH_PRIVATE_KEY}
    volumes:
      - ~/.ssh/id_sprattle:/root/.ssh/id_sprattle